Subject: bug#18982: 24.4.51; assertion violation in set_cache_region after revert-buffer

From: Nicolas Richard <[email-masked]>
Date: Fri, 07 Nov 2014 17:07:21 +0100

Le 07/11/2014 16:43, Eli Zaretskii a écrit :
>> Date: Fri, 07 Nov 2014 16:33:59 +0100
>> From: Nicolas Richard <[email-masked]>
>> CC: [email-masked]
>> 
>> > This doesn't crash here.  Please show all the details collected by
>> > report-emacs-bug for this binary, so I could see how mine is
>> > different.
>> 
>> Here it is (from a fresh bootstrap-from-clean-tree against latest bzr emacs-24
>> -- I also checked that the crash still occurs) :
> 
> Thanks.  The only significant difference is --with-wide-int.  Can you
> try rebuilding without it?
> 

Still crashes with :

In GNU Emacs 24.4.51.2 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-11-07 on localhost
Repository revision: 117680 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11304000
Configured using:
 `configure --with-x-toolkit=lucid --enable-checking --without-wide-int
 'CFLAGS= -O0 -g3''

Just to make sure we have the same files, I bzipped the recipe.

mkdir foo; tar xf 18982.tar.bz2 -C foo; cd foo
emacs -Q -l testfile2.el

that crashes for me.

It doesn't crash with the 24.3 binary I have soI can bisect if you wish.

-- 
Nicolas.